package net.jaekl.squelch.stmt;

import java.sql.SQLException;
import java.util.ArrayList;

import net.jaekl.squelch.sql.Column;
import net.jaekl.squelch.sql.Row;

public class TabularMock extends Tabular {
	private Column[] m_cols;
	private ArrayList<Row> m_rows;
	private int m_rowIdx;
	
	public TabularMock() {
		m_cols = new Column[0];
		m_rows = new ArrayList<Row>();
		m_rowIdx = (-1);
	}
	
	@Override
	Column[] getCols() throws SQLException {
		return m_cols.clone();
	}

	@Override
	Row getNext() {
		if (m_rowIdx >= (m_rows.size() - 1)) {
			return null;
		}
		m_rowIdx++;
		return m_rows.get(m_rowIdx);
	}
	
	public void mock_setCols(Column[] cols) {
		m_cols = cols.clone();
	}
	
	public void mock_addRow(Row row) {
		m_rows.add(row);
	}
}
