package net.jaekl.squelch.util;

import java.io.IOException;
import java.io.PrintWriter;

public class ConsoleInputMock implements ConsoleInput {
	private int m_linePos;
	private String[] m_lines;
	private PrintWriter m_pw;

	public ConsoleInputMock(PrintWriter pw, String[] lines) throws IOException {
		m_linePos = 0;
		m_lines = lines;
		m_pw = pw;
	}
	
	@Override
	public String readLine(String prompt)
	{
		if (m_linePos >= m_lines.length) {
			return null;
		}
		m_pw.print(prompt);
		m_pw.flush();
		String line = m_lines[m_linePos];
		m_linePos++;
		m_pw.println(line);
		return line;
	}
}
